<?php
session_start();
include("conexion.php");

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $user_id = $_POST["user_id"];
    $monto = $_POST["monto"];
    $tasa = $_POST["tasa"];
    $plazo = $_POST["plazo"];
    $tipo_interes = $_POST["tipo_interes"];
    $frecuencia = $_POST["frecuencia_pago"];
    $stmt = $conn->prepare("INSERT INTO prestamos 
        (user_id, monto, tasa, plazo, tipo_interes, frecuencia_pago, fecha_prestamo) 
        VALUES (?, ?, ?, ?, ?, ?, CURRENT_DATE)");

    $stmt->bind_param("iddiss", $user_id, $monto, $tasa, $plazo, $tipo_interes, $frecuencia);

    if ($stmt->execute()) {
        echo "<script>alert('Préstamo registrado correctamente'); window.location.href='sesion_iniciada.php';</script>";
    } else {
        echo "Error: " . $stmt->error;
    }

    $stmt->close();
    $conn->close();
}
